- name: set up keyboard controls
  become: true
  ansible.builtin.copy:
    dest: /etc/default/keyboard
    owner: root
    group: root
    mode: 0644
    content: |
      # KEYBOARD CONFIGURATION FILE
      # Consult the keyboard(5) manual page.
      # managed by ansible

      XKBMODEL="pc105"
      XKBLAYOUT="us"
      XKBVARIANT=""
      XKBOPTIONS="ctrl:swapcaps,compose:ralt"

      BACKSPACE="guess"

- name: set up common desktop tools
  become: true
  ansible.builtin.apt: name={{ item }} state=present
  with_items:
    - acpitool
    - emacs
    - vim-gtk

- name: set up desktop environments
  become: true
  ansible.builtin.apt: name={{ item }} state=present
  with_items:
    - i3
    - i3lock

- name: set up xprogs
  become: true
  ansible.builtin.apt: name={{ item }} state=present
  with_items:
    - arandr
    - evince
    - feh
    - firefox
    - gparted
    - scrot
    - vlc
